OGRE: Ogre::ScaleControllerFunction Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ScaleControllerFunction Class Reference

Predefined controller function which simply scales an input to an output value. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::ScaleControllerFunction:

[legend]
List of all members.

## Public Member Functions

| ScaleControllerFunction (Real scalefactor, bool deltaInput)
| Constructor, requires a scale factor.
Real | calculate (Real source)
| Overriden method.

## Protected Member Functions

Real | getAdjustedInput (Realinput)
| Gets the input value as adjusted by any delta.

## Protected Attributes

Real | mScale
bool | mDeltaInput
| If true, function will add imput values together and wrap at 1.0 before evaluating.
Real | mDeltaCount

## Detailed Description

Predefined controller function which simply scales an input to an output value.

Definition at line 213 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::ScaleControllerFunction::ScaleControllerFunction | ( | Real | scalefactor,
|  | bool | deltaInput
| ) |

Constructor, requires a scale factor.

Parameters:

  | scalefactor | The multipier applied to the input to produce the output.
  | deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

## Member Function Documentation

Real Ogre::ScaleControllerFunction::calculate | ( | Real | source | ) | `[virtual]`

| Overriden method. Implements Ogre::ControllerFunction< Real >.

Real Ogre::ControllerFunction< Real >::getAdjustedInput | ( | Real | input | ) | `[protected, inherited]`

| Gets the input value as adjusted by any delta. Reimplemented in Ogre::WaveformControllerFunction. Definition at line 60 of file OgreController.h.

## Member Data Documentation

Real Ogre::ControllerFunction< Real >::mDeltaCount`[protected, inherited]`

| Definition at line 56 of file OgreController.h.

bool Ogre::ControllerFunction< Real >::mDeltaInput`[protected, inherited]`

| If true, function will add imput values together and wrap at 1.0 before evaluating. Definition at line 55 of file OgreController.h.

Real Ogre::ScaleControllerFunction::mScale`[protected]`

| Definition at line 216 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:52 2008